// Copyright (C) Kimmo Lahtinen - All Rights Reserved

// Input from engine (per vertex)
attribute highp vec2 in_pos;
attribute lowp 	vec4 in_color;

// Output to pixel shader
varying lowp vec4 pixel_color;

void main(void)
{
	gl_Position = to_screen_pos_2d(in_pos);
	pixel_color = in_color;
}
